Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.soyc.coderef
Class EntityDescriptor

    java.lang.Object
      com.google.gwt.core.ext.soyc.coderef.EntityDescriptor

Direct Known Subclasses:
  ClassDescriptor, MemberDescriptor

    public abstract class EntityDescriptor

extends java.lang.Object

The abstraction of any possible entity in the code that is register by soyc: classes, methods and fields. It includes all contributed sizes per fragment.

Nested Class Summary
`static class` | `EntityDescriptor.Fragment` Stores the size contribution to each fragment for this entity.

Field Summary
`protected java.util.List<EntityDescriptor.Fragment>` | `fragments`
`protected java.lang.String` | `name`
`protected java.util.Set<java.lang.String>` | `obfuscatedNames` Stores obfuscated names.

Constructor Summary
`EntityDescriptor(java.lang.String name)`

Method Summary
`void` | `addFragment(EntityDescriptor.Fragment fragment)`
`void` | `addObfuscatedName(java.lang.String obfuscatedName)`
`java.util.Collection<EntityDescriptor.Fragment>` | `getFragments()` Returns the list of sizes per fragment contributed by this entity.
`abstract java.lang.String` | `getFullName()` Returns the full qualified name.
`java.lang.String` | `getName()` Returns the name of the entity.
`java.util.Set<java.lang.String>` | `getObfuscatedNames()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected final java.lang.String name

### obfuscatedNames

    protected final java.util.Set<java.lang.String> obfuscatedNames

  Stores obfuscated names. An entity can have several obfuscated names, because it can be presented in several forms, eg. in methods: original and its static version.

### fragments

    protected final java.util.List<EntityDescriptor.Fragment> fragments

Constructor Detail

### EntityDescriptor

    public EntityDescriptor(java.lang.String name)

Method Detail

### addFragment

    public void addFragment(EntityDescriptor.Fragment fragment)

### getFragments

    public java.util.Collection<EntityDescriptor.Fragment> getFragments()

  Returns the list of sizes per fragment contributed by this entity.

### getFullName

    public abstract java.lang.String getFullName()

  Returns the full qualified name.

### getName

    public java.lang.String getName()

  Returns the name of the entity. For instance, class entities return the short name `JType.getShortName()`, fields return the field name, and methods return the method name without its signature.

### getObfuscatedNames

    public java.util.Set<java.lang.String> getObfuscatedNames()

### addObfuscatedName

    public void addObfuscatedName(java.lang.String obfuscatedName)

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD